{
  "name": "w15t",
  "version": "1.0.0",
  "description": "Webpack starter kit for UI",
  "main": "index.js",
  "repository": "https://github.com/TRUEnov/w15t.git",
  "author": "Андрей Опанасенко <opanasenkoaa@mail.ru>",
  "license": "MIT",
  "private": false,
  "scripts": {
    "start": "webpack-dev-server --open --config config/webpack.dev.js --hot",
    "build": "webpack --config config/webpack.prod.js",
    "test": "jest --config=jest.config.js",
    "test:coverage": "jest --config=jest.config.js --coverage"
  },
  "devDependencies": {
    "@babel/core": "^7.4.5",
    "@babel/plugin-proposal-class-properties": "^7.4.4",
    "@babel/plugin-proposal-decorators": "^7.4.4",
    "@babel/plugin-syntax-dynamic-import": "^7.2.0",
    "@babel/plugin-transform-runtime": "^7.4.4",
    "@babel/polyfill": "^7.4.4",
    "@babel/preset-env": "^7.4.5",
    "@babel/preset-react": "^7.0.0",
    "@babel/preset-typescript": "^7.3.3",
    "@types/axios-mock-adapter": "^1.10.0",
    "@types/classnames": "^2.2.9",
    "@types/enzyme": "^3.10.3",
    "@types/enzyme-adapter-react-16": "^1.0.5",
    "@types/jest": "^24.0.18",
    "@types/react-transition-group": "^4.2.3",
    "astroturf": "^0.9.21",
    "autoprefixer": "^9.5.1",
    "axios-mock-adapter": "^1.17.0",
    "babel-jest": "^24.9.0",
    "babel-loader": "^8.0.6",
    "classnames": "^2.2.6",
    "compression-webpack-plugin": "^2.0.0",
    "copy-webpack-plugin": "^5.0.3",
    "css-hot-loader": "^1.4.4",
    "css-loader": "^2.1.1",
    "enzyme": "^3.10.0",
    "enzyme-adapter-react-16": "^1.15.1",
    "file-loader": "^3.0.1",
    "fork-ts-checker-webpack-plugin": "^1.3.4",
    "html-webpack-plugin": "^3.2.0",
    "jest": "^24.9.0",
    "jest-css-modules": "^2.1.0",
    "jest-svg-transformer": "^1.0.0",
    "mini-css-extract-plugin": "^0.7.0",
    "optimize-css-assets-webpack-plugin": "^5.0.1",
    "postcss-loader": "^3.0.0",
    "precss": "^4.0.0",
    "react-hot-loader": "^4.8.8",
    "react-test-renderer": "^16.12.0",
    "react-transition-group": "^4.3.0",
    "style-loader": "^0.23.1",
    "terser-webpack-plugin": "^1.3.0",
    "ts-astroturf-tools": "^0.9.1",
    "ts-jest": "^24.0.2",
    "typescript": "^3.5.1",
    "webpack": "^4.41.2",
    "webpack-bundle-analyzer": "^3.3.2",
    "webpack-cli": "^3.3.10",
    "webpack-dev-server": "^3.9.0"
  },
  "dependencies": {
    "@hot-loader/react-dom": "^16.8.6",
    "@types/react": "^16.8.18",
    "@types/react-dom": "^16.8.4",
    "@types/react-redux": "^7.0.9",
    "@types/react-router-dom": "^4.3.3",
    "axios": "^0.19.0",
    "babel-plugin-module-resolver": "^3.2.0",
    "react": "^16.8.6",
    "react-dom": "^16.8.6",
    "react-redux": "^7.0.3",
    "react-router-dom": "^5.0.0",
    "redux": "^4.0.1",
    "redux-devtools-extension": "^2.13.8",
    "redux-saga": "^1.0.5",
    "semantic-ui-css": "^2.4.1",
    "semantic-ui-react": "^0.88.1",
    "typesafe-actions": "^4.4.2"
  }
}
